%define lib_name libpng
%define lib_major 2
%define srcname %lib_name-%version

Name: %lib_name%lib_major
Version: 1.0.14
Release: alt5

Summary: A library of functions for manipulating PNG image format files
License: OSI certified
Group: System/Libraries
Url: http://www.%lib_name.org/pub/png/%lib_name.html

Source: ftp://swrinde.nde.swri.edu/pub/png/src/%srcname.tar.bz2
Patch1: libpng-1.0.14-alt-makefile.patch
Patch2: libpng-1.0.14-glennrp-pngrtran.patch

Provides: %lib_name = %version
Provides: %lib_name.so.%lib_major
Obsoletes: %lib_name
PreReq: coreutils

# Automatically added by buildreq on Thu Oct 03 2002
BuildRequires: zlib-devel

%package devel
Summary: Development environment for %name
Group: Development/C
Requires: %name = %version-%release, zlib-devel
Provides: %lib_name-devel = %version
Obsoletes: %lib_name-devel
Conflicts: %lib_name-devel < %version
Conflicts: %lib_name-devel > %version

%package devel-static
Summary: Static %name library
Group: Development/C
Requires: %name-devel = %version-%release, zlib-devel-static
Provides: %lib_name-devel-static = %version
Obsoletes: %lib_name-devel-static
Conflicts: %lib_name-devel-static < %version
Conflicts: %lib_name-devel-static > %version

%description
This package contains a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.
PNG is a bit-mapped graphics format similar to the GIF format.
PNG was created to replace the GIF format, since GIF uses a
patented data compression algorithm.

Libpng should be installed if you need to manipulate
PNG format image files.

%description devel
This package contains the header files necessary for developing
programs using the PNG (Portable Network Graphics) library.

If you want to develop programs which will manipulate PNG image format
files, you should install %name-devel. You'll also need to install the
%name package.

%description devel-static
This package contains static library necessary for developing statically
linked programs using the PNG (Portable Network Graphics) library.

If you want to develop statically linked programs which will manipulate PNG
image format files, you should install %name-devel. You'll also need to
install the %name and %name-devel packages.

%prep
%setup -q -n %srcname
%__ln_s scripts/makefile.linux Makefile
%patch1 -p1
%patch2 -p1

%build
%__rm -rf man
%__mkdir_p man
%__install -p -m644 *.[35] man/

%define _optlevel 3
%make_build prefix=%prefix ZLIBLIB=%_libdir ZLIBINC=%_includedir
%{?!_without_test:%{?!_disable_test:make test}}

%install
%__mkdir_p $RPM_BUILD_ROOT{%_man3dir,%_man5dir}
%makeinstall
%__install -p -m644 man/*.3 $RPM_BUILD_ROOT%_man3dir/
%__install -p -m644 man/*.5 $RPM_BUILD_ROOT%_man5dir/

%__mkdir_p $RPM_BUILD_ROOT%_docdir/%lib_name-%version
%__install -p -m644 ANNOUNCE CHANGES KNOWNBUG LICENSE README TODO example.c *.txt \
	$RPM_BUILD_ROOT%_docdir/%lib_name-%version

%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/buildreqs/packages/substitute.d
echo %lib_name >$RPM_BUILD_ROOT%_sysconfdir/buildreqs/packages/substitute.d/%name
echo %lib_name-devel >$RPM_BUILD_ROOT%_sysconfdir/buildreqs/packages/substitute.d/%name-devel
echo %lib_name-devel-static >$RPM_BUILD_ROOT%_sysconfdir/buildreqs/packages/substitute.d/%name-devel-static
chmod 644 $RPM_BUILD_ROOT%_sysconfdir/buildreqs/packages/substitute.d/*

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%triggerpostun -- libpng, libpng2 < 1.0.14-alt1
if [ -f "%_libdir/%{lib_name}10.so.0.%version" -a ! -f "%_libdir/%lib_name.so.%lib_major" ]; then
	%__ln_s -f %{lib_name}10.so.0.%version %_libdir/%lib_name.so.%lib_major
fi

%files
%config %_sysconfdir/buildreqs/packages/substitute.d/%name
%_libdir/*.so.*
#%_man5dir/*

%files devel
%config %_sysconfdir/buildreqs/packages/substitute.d/%name-devel
%_bindir/*-config
%_libdir/pkgconfig/*.pc
%_libdir/*.so
%_includedir/*
%_man3dir/*
%_docdir/%lib_name-%version

%files devel-static
%config %_sysconfdir/buildreqs/packages/substitute.d/%name-devel-static
%_libdir/*.a

%changelog
* Tue Jan 14 2003 Dmitry V. Levin <ldv@altlinux.org> 1.0.14-alt5
- Applied patch to pngrtran.c by Glenn Randers-Pehrson <glennrp@comcast.net>
  to fix a buffer overrun.

* Thu Oct 03 2002 Dmitry V. Levin <ldv@altlinux.org> 1.0.14-alt4
- Cleanup %%build.
- Rebuilt to fix config files in devel subpackage.

* Wed Sep 04 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0.14-alt3
- rebuild with gcc3

* Tue Aug 06 2002 Dmitry V. Levin <ldv@altlinux.org> 1.0.14-alt2
- Refined trigger once more.

* Sat Jul 20 2002 Dmitry V. Levin <ldv@altlinux.org> 1.0.14-alt1
- 1.0.14

* Thu Feb 28 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0.12-alt2
- Renamed to libpng2.
- Dropped png(5) manpage (now in libpng3).
- Added buildreq substitution rules.

* Mon Jun 11 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.12-alt1
- 1.0.12
- Updated requires on zlib-*.

* Tue May 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.11-alt1
- 1.0.11

* Tue Apr 03 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.10-alt1
- 1.0.10
- Moved static libraries to devel-static subpackage.

* Fri Feb 02 2001 Dmitry V. Levin <ldv@fandra.org> 1.0.9-ipl1mdk
- 1.0.9

* Sat Jan 06 2001 Dmitry V. Levin <ldv@fandra.org> 1.0.8-ipl2mdk
- Fixed Url.
- Specfile cleanup (since we have brp-adjust_libraries).

* Wed Jul 26 2000 Dmitry V. Levin <ldv@fandra.org> 1.0.8-ipl1mdk
- 1.0.8

* Wed Jul 05 2000 Dmitry V. Levin <ldv@fandra.org> 1.0.7-ipl1mdk
- 1.0.7
- RE and Fandra adaptions.

* Mon Jun 26 2000 Alexandre Dussart <adussart@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6
- Patch 1.0.6a(official)
- Patch 1.0.6b(official)
- Patch 1.0.6c(official)
- Updated mdkconf patch(some parts was obsoletes)

* Fri May 19 2000 Pixel <pixel@mandrakesoft.com> 1.0.5-3mdk
- fix *ugly* install of man pages
- add soname

* Mon Mar 27 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.5-2mdk
- fix group

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.5
- redo patch with perl (yay perl)
- SMP check/build

* Mon Jul 12 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- libpng.so.2.1.0.3 is not a man pages lets not put it in usr/man/man3

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Sun Feb 07 1999 Michael Johnson <johnsonm@redhat.com>
- rev to 1.0.3

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0

* Wed Sep 23 1998 Cristian Gafton <gafton@redhat.com>
- we are Serial: 1 now because we are reverting the 1.0.2 version from 5.2
  beta to this prior one
- install man pages; set defattr defaults

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- devel subpackage moved to Development/Libraries

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.0.1
- added buildroot

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- updated to new version
- spec file cleanups

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
